<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>MAN PAGE</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:root@localhost" />
</head>

<body>



<ul id="index">
  <li><a href="#N-ZOV">NÁZOV</a></li>
  <li><a href="#PREH-AD">PREHĽAD</a></li>
  <li><a href="#POPIS">POPIS</a></li>
  <li><a href="#VO-BY">VOĽBY</a></li>
  <li><a href="#KONFIGUR-CIA">KONFIGURÁCIA</a></li>
  <li><a href="#DIAGNOSTIKA">DIAGNOSTIKA</a></li>
  <li><a href="#PR-KLADY">PRÍKLADY</a></li>
  <li><a href="#ENVIRONMENT-VARIABLES">ENVIRONMENT VARIABLES</a></li>
  <li><a href="#T-MY-VZH-ADU">TÉMY VZHĽADU</a></li>
  <li><a href="#AL-IE-INFORM-CIE">ĎALŠIE INFORMÁCIE</a></li>
  <li><a href="#POZRI-AJ">POZRI AJ</a></li>
  <li><a href="#POZN-MKY-KU-GRAFICK-MU-ROZHRANIU">POZNÁMKY KU GRAFICKÉMU ROZHRANIU</a></li>
  <li><a href="#KL-VESOV-V-ZBY">KLÁVESOVÉ VÄZBY</a></li>
  <li><a href="#CHYBY">CHYBY</a></li>
  <li><a href="#HIST-RIA">HISTÓRIA</a></li>
  <li><a href="#AUTORI">AUTORI</a></li>
  <li><a href="#AUTORSK-PR-VA-A-LICENCIA">AUTORSKÉ PRÁVA A LICENCIA</a></li>
</ul>

<h1 id="N-ZOV">NÁZOV</h1>

<p>Inkscape - editaor SVG (Scalable Vector Graphics).</p>

<h1 id="PREH-AD">PREHĽAD</h1>

<p><code>inkscape [voľby] [názov súboru ...]</code></p>

<p>voľby:</p>

<pre><code>    -?, --help
        --usage
    -V, --version

    -f, --file=NÁZOVSÚBORU

    -e, --export-png=FILENAME
    -a, --export-area=x0:y0:x1:y1
    -C, --export-area-page
    -D, --export-area-drawing
        --export-area-snap
        --export-margin=VALUE
    -i, --export-id=ID
    -j, --export-id-only
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALUE
    -d, --export-dpi=DPI
    -w, --export-width=WIDTH
    -h, --export-height=HEIGHT

    -P, --export-ps=NÁZOVSÚBORU
    -E, --export-eps=NÁZOVSÚBORU
    -A, --export-pdf=NÁZOVSÚBORU
        --export-pdf-version=REŤAZEC-VERZIE
        --export-latex

        --export-ps-level={2,3}

    -T, --export-text-to-path
        --export-ignore-filters

    -l, --export-plain-svg=NÁZOVSÚBORU

    -m, --export-wmf=FILENAME
    -M, --export-emf=FILENAME

    -p, --print=TLAČIAREŇ

    -I, --query-id=ID
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height
    -S, --query-all

    -x, --extension-directory

        --verb-list
        --verb=ID-SLOVESA
        --select=ID-OBJEKTU

        --shell

    -g, --with-gui
    -z, --without-gui

        --vacuum-defs
        --no-convert-text-baseline-spacing
        --convert-dpi-method=METHOD

        --g-fatal-warnings</code></pre>

<h1 id="POPIS">POPIS</h1>

<p><b>Inkscape</b> je editor súborov vektorovej grafiky vo formáte <b>Scalable Vector Graphics (SVG)</b> s grafickým rozhraním, ktorého schopnosti sú podobné <b>Adobe Illustrator</b>, <b>CorelDraw</b>, <b>Xara Xtreme</b>, atď. Medzi vlastnosti Inkscape patria všestranné tvary, bézierove krivky, kreslenie voľbou rukou, viacriadkový text, text na ceste, alpha blending, ľubovoľné afínne transformácie, farebné prechody a výplň vzorkou, úprava uzlov, mnohé formáty na export a import vrátane PNG a PDF, zoskupovanie, vrstvy, živé klony a veľa iného. Rozhranie je navrhnuté pre komfortné a efektívne ovládanie pre skúseného používateľa, pričom dodržiava štandardy <b>GNOME</b>, takže používateľ oboznámený s inými aplikáciami GNOME si môže ovládanie rozhrania rýchlo osvojiť.</p>

<p><b>SVG</b> je štandard W3C, formát XML pre dvojrozmernú vektorovú grafiku. Umožňuje definíciu objektov kresby pomocou bodov, ciest a primitívnych tvarov. Farby, písma, šírka ťahu atď. sa pri týchto objektoch uvádzajú ako atribúty „štýlu“. Zámer je taký, že keďže SVG je štandard a jeho súbory sú text/xml, bude možné použiť SVG súbory vo veľkom počte programov v širokom spektre aplikácií.</p>

<p><b>Inkscape</b> používa SVG ako svoj natívny formát dokumentu a jeho cieľom je stať sa kresliacim programom plne konformným SVG súborom, dostupným open source komunite.</p>

<h1 id="VO-BY">VOĽBY</h1>

<dl>

<dt id="help"><b>-?</b>, <b>--help</b></dt>
<dd>

<p>Zobrazí správu s pomocou</p>

</dd>
<dt id="V---version"><b>-V</b>, <b>--version</b></dt>
<dd>

<p>Zobrazí verziu a dátum zostavenia Inkscape.</p>

</dd>
<dt id="a-x0:y0:x1:y1---export-area-x0:y0:x1:y1"><b>-a</b> <i>x0:y0:x1:y1</i>, <b>--export-area</b>=<i>x0:y0:x1:y1</i></dt>
<dd>

<p>Pri exporte PNG, nastaví exportovanú oblasť v používateľských jednotkách SVG (anonymné jednotky dĺžky bežne používané v Inkscape SVG). Štandardne sa exportuje celá stránka dokumentu. Bod (0,0) je ľavý spodný roh.</p>

</dd>
<dt id="C---export-area-page"><b>-C</b>, <b>--export-area-page</b></dt>
<dd>

<p>Pri exporte SVG, PNG, PDF, PS a EPS je exportovaná oblasť stránka. Toto je štandardné nastavenie pre SVG, PNG, PDF a PS, takže ju nemusíte uvádzať ak nepoužívate <a>--export-id</a> na exportovanie konkrétneho objektu. Pri exporte EPS to však nie je štandardné nastavenie. Naviac špecifikácia formátu EPS neumožňuje, aby bolo ohraničenie väčšie ako obsah dokumentu. To znamená, že ak pri exporte EPS použijete --export-area-canvas, ohraničenie plátna sa oreže dnu na ohraničenie objektu, ak je menšie.</p>

</dd>
<dt id="D---export-area-drawing"><b>-D</b>, <b>--export-area-drawing</b></dt>
<dd>

<p>Pri exporte SVG, PNG, PDF, PS a EPS je exportovaná oblasť kresba (nie stránka), t.j. ohraničenie všetkých objektov dokumentu (alebo exportovaného objektu ak je použité <a>--export-id</a>). S touto voľbou budú na exportovanom obrázku iba viditeľné objekty dokumentu bez okrajov alebo orezania. Toto je štandardná exportná oblasť pre EPS. Pri PNG je možné použiť túto voľbu v kombinácii s --export-use-hints.</p>

</dd>
<dt id="export-area-snap"><b>--export-area-snap</b></dt>
<dd>

<p>Pri exporte PNG prichytí oblasť exportu smerom von na najbližšiu celočíselnú používateľskú jednotku SVG (px). Ak používate štandardné rozlíšenie exportu 96 DPI a vaša grafika je zarovnaná na pixle, aby sa minimalizoval antialiasing, táto voľba vám umožní zachovať toto zarovnanie aj ak exportujete ohraničenie nejakého objektu (pomocou <a>--export-id</a> alebo <a>--export-area-drawing</a>), ktoré samotné nie je zarovnané na pixle.</p>

</dd>
<dt id="export-margin-VALUE"><b>--export-margin</b>=<i>VALUE</i></dt>
<dd>

<p>Adds a margin around the exported area. The size of the margin is specified in units of page size (for SVG) or millimeters (for PS/EPS/PDF). The option currently has no effect for other export formats.</p>

</dd>
<dt id="b-FARBA---export-background-FARBA"><b>-b</b> <i>FARBA</i>, <b>--export-background</b>=<i>FARBA</i></dt>
<dd>

<p>Farba pozadia exportovaného PNG. Toto môže byť akýkoľvek reťazec špecifikujúci farbu, ktorý SVG podporuje, napr. „#ff007f“ alebo „rgb(255, 0, 128)“. Ak nie je nastavená, použije sa farba nastavená v Inkscape v dialógu Možnosti dokumentu (uložená v atribúte pagecolor= v sodipodi:namedview).</p>

</dd>
<dt id="d-DPI---export-dpi-DPI"><b>-d</b> <i>DPI</i>, <b>--export-dpi</b>=<i>DPI</i></dt>
<dd>

<p>Rozlíšenie použité pri exporte PNG. Tiež sa používa pri rasterizácii filtrovaných objektov pri exporte do PS, EPS a PDF (ak neuvediete <a>--export-ignore-filters</a> na potlačenie rasterizácie). Štandardne 96, čo zodpovedá 1 používateľskej jednotke SVG. (px, tiež nazývaná „používateľská jednotka“) exportovanej na 1 pixel bitmapy. Táto hodnota má precedenciu pred odporúčaným DPI pri použití s prepínačom --export-use-hints.</p>

</dd>
<dt id="e-FILENAME---export-png-N-ZOVS-BORU"><b>-e</b> <i>FILENAME</i>, <b>--export-png</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Specify the filename for PNG export. If it already exists, the file will be overwritten without asking. Use `-&#39; as filename to write the image data to standard output.</p>

</dd>
<dt id="f-N-ZOVS-BORU---file-N-ZOVS-BORU"><b>-f</b> <i>NÁZOVSÚBORU</i>, <b>--file</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Open specified document(s). Option string may be omitted, i.e. you can list the filenames without -f. Use `-&#39; as filename to read the vector data from standard input.</p>

</dd>
<dt id="g---with-gui"><b>-g</b>, <b>--with-gui</b></dt>
<dd>

<p>Pokúsiť sa použiť grafické používateľské rozhranie (na unixových systémoch, použiť X server aj keď nie je nastavená premenná $DISPLAY).</p>

</dd>
<dt id="h-HEIGHT---export-height-HEIGHT"><b>-h</b> <i>HEIGHT</i>, <b>--export-height</b>=<i>HEIGHT</i></dt>
<dd>

<p>Výška generovaných bitmáp v pixloch. Táto hodnota má precedenciu pred nastavením <a>--export-dpi</a> (alebo odporúčaním DPI pri použití s prepínačom --export-use-hints).</p>

</dd>
<dt id="i-ID---export-id-ID"><b>-i</b> <i>ID</i>, <b>--export-id</b>=<i>ID</i></dt>
<dd>

<p>Pri exporte PNG, PS, EPS, PDF a čistého SVG hodnota atribútu id objektu, ktorý chcete exportovať z dokumentu. Žiadne iné objekty sa neexportujú. Štandardne sa exportuje ohraničenie objektu. To môžete zmeniť použitím voľby --export-area (iba pri PNG) alebo --export-area-canvas.</p>

</dd>
<dt id="j---export-id-only"><b>-j</b>, <b>--export-id-only</b></dt>
<dd>

<p>Pri PNG a čistom SVG exportovať iba objekt s id zadaným v <a>--export-id</a>. Všetky ostatné objekty sa skryjú a nezobrazia sa v exporte ani keď prekrývajú exportovaný objekt. Ak nie je uvedené <a>--export-id</a>, táto voľba sa ignoruje. Pri exporte PDF je toto štandardná voľba, takže jej uvedenie nemá žiadny vplyv.</p>

</dd>
<dt id="l---export-plain-svg-N-ZOVS-BORU"><b>-l</b>, <b>--export-plain-svg</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Export document(s) to plain SVG format, without sodipodi: or inkscape: namespaces and without RDF metadata. Use `-&#39; as filename to write the image data to standard output.</p>

</dd>
<dt id="x---extension-directory"><b>-x</b>, <b>--extension-directory</b></dt>
<dd>

<p>Vypíše aktuálny adresár rozšírení, ktorý bol nastavený pre Inkscape a potom skončí. Využívajú to externé rozšírenia aby použili rovnakú konfiguráciu ako pôvodná inštalácia Inkscape.</p>

</dd>
<dt id="verb-list"><b>--verb-list</b></dt>
<dd>

<p>Vypíše všetky slovesá dostupné v Inkscape podľa ID. Tieto ID možno použiť pri definovaní klávesových máp alebo menu. Tiež ich možno použiť na príkazovom riadku s voľbou <a>--verb</a>.</p>

</dd>
<dt id="verb-ID-SLOVESA---select-ID-OBJEKTU"><b>--verb</b>=<i>ID-SLOVESA</i>, <b>--select</b>=<i>ID-OBJEKTU</i></dt>
<dd>

<p>Tieto dve voľby spolu poskytujú základné možnosti skriptovania v Inkscape z príkazového riadka. Obe sa môžu na príkazovom riadku vyskytovať ľubovoľný počet krát a vykonajú sa v tomto poradí na každom určenom dokumente.</p>

<p>Príkaz <a>--verb</a> vykoná uvedené sloveso ako keby bolo zavolané z menu alebo klávesovou skratkou. Dialógy sa objavia ak sú súčasťou slovesa. Ak chcete vypísať zoznam dostupných ID, použite voľby príkazového riadka <a>--verb-list</a>.</p>

<p>Príkaz <a>--select</a> spôsobí výber objektov s uvedeným ID. To umožňuje vykonávanie slovies na nich. Ak chcete zrušiť všetky výbery, použite <code>--verb=EditDeselect</code>. ID objektov sú dostupné v závislosti na dokumente, ktorý sa má načítať.</p>

<p>Note that the <a>--verb</a> command requires a GUI, and thus cannot be used with the <a>--z</a> option.</p>

</dd>
<dt id="p-TLA-IARE---print-TLA-IARE"><b>-p</b> <i>TLAČIAREŇ</i>, <b>--print</b>=<i>TLAČIAREŇ</i></dt>
<dd>

<p>Vytlačí dokumenty na určenej tlačiarni pomocou „lpr -P TLAČIAREŇ“. Ak chcete výstup poslať rúrou inému príkazu, môžete použiť „| PRÍKAZ“ alebo „&gt; NÁZOVSÚBORU“ ak chcete namiesto tlačenia zapísať výstup v PostScripte do súboru. Pamätajte na to, že musíte použiť vhodné úvodzovky pre váš shell, napr.</p>

<pre><code>    inkscape --print=&#39;| ps2pdf - mydoc.pdf&#39; mydoc.svg</code></pre>

</dd>
<dt id="t---export-use-hints"><b>-t</b>, <b>--export-use-hints</b></dt>
<dd>

<p>Použiť názov exportovaného súboru a atribút DPI uložené v exportovanom objekte (iba s voľbou <a>--export-id</a>). Tieto údaje sa nastavujú automaticky keď exportujete výber z grafického rozhrania Inkscape. Takže napr. ak exportujete útvar s id=&quot;path231&quot; ako /home/me/shape.png pri 300 dpi z dokument.svg z grafického rozhrania Inkscape a uložíte dokument, neskôr budete môcť exportovať útvar do rovnakého súboru s rovnakým rozlíšením jednoducho spustením</p>

<pre><code>    inkscape -i path231 -t document.svg</code></pre>

<p>Ak spolu s touto voľbou použijete <a>--export-dpi</a>, <a>--export-width</a> alebo --export-height bude sa atribút DPI ignorovať a použije sa hodnota zadaná na príkazovom riadku. Ak spolu s touto voľbou použijete <a>--export-png</a>, bude sa atribút názvov súboru ignorovať a použije sa hodnota zadaná na príkazovom riadku.</p>

</dd>
<dt id="w-RKA---export-width-RKA"><b>-w</b> <i>ŠÍRKA</i>, <b>--export-width</b>=<i>ŠÍRKA</i></dt>
<dd>

<p>Výška generovaných bitmáp v pixeloch. Táto hodnota má precedenciu pred nastavením <a>--export-dpi</a> (alebo odporúčaním DPI pri použití s prepínačom <a>--export-use-hints</a>).</p>

</dd>
<dt id="y-HODNOTA---export-background-opacity-HODNOTA"><b>-y</b> <i>HODNOTA</i>, <b>--export-background-opacity</b>=<i>HODNOTA</i></dt>
<dd>

<p>Krytie pozadia exportovaných súborov PNG. Toto môže byť hodnota buď medzi 0.0 a 1.0 (kde 0.0 znamená celkom priehľadné a 1.0 plné krytie) alebo väčšia ako 1 do 255 (kde 255 znamená plné krytie). Ak nie je hodnota nastavená a nepoužije sa voľba -b, použije sa krytie stránky nastavené v Inkscape v dialógu Vlastnosti dokumentu (uložené v atribúte inkscape:pageopacity= sodipodi:namedview). Ak nie je hodnota nastavená a použije sa voľba -b použije sa hodnota 255 (plné krytie).</p>

</dd>
<dt id="P-N-ZOVS-BORU---export-ps-N-ZOVS-BORU"><b>-P</b> <i>NÁZOVSÚBORU</i>, <b>--export-ps</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Export document(s) to PostScript format. Note that PostScript does not support transparency, so any transparent objects in the original SVG will be automatically rasterized. Used fonts are subset and embedded. The default export area is page; you can set it to drawing by <a>--export-area-drawing</a>. You can specify <a>--export-id</a> to export a single object (all other are hidden); in that case export area is that object&#39;s bounding box, but can be set to page by <a>--export-area-page</a>. Use `-&#39; as filename to write the image data to standard output.</p>

</dd>
<dt id="E-N-ZOVS-BORU---export-eps-N-ZOVS-BORU"><b>-E</b> <i>NÁZOVSÚBORU</i>, <b>--export-eps</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Export document(s) to Encapsulated PostScript format. Note that PostScript does not support transparency, so any transparent objects in the original SVG will be automatically rasterized. Used fonts are subset and embedded. The default export area is drawing; you can set it to page, however see <a>--export-area-page</a> for applicable limitation. You can specify <a>--export-id</a> to export a single object (all other are hidden). Use `-&#39; as filename to write the image data to standard output.</p>

</dd>
<dt id="A-N-ZOVS-BORU---export-pdf-N-ZOVS-BORU"><b>-A</b> <i>NÁZOVSÚBORU</i>, <b>--export-pdf</b>=<i>NÁZOVSÚBORU</i></dt>
<dd>

<p>Export document(s) to PDF format. This format preserves the transparency in the original SVG. Used fonts are subset and embedded. The default export area is page; you can set it to drawing by <a>--export-area-drawing</a>. You can specify <a>--export-id</a> to export a single object (all other are hidden); in that case export area is that object&#39;s bounding box, but can be set to page by <a>--export-area-page</a>. Use `-&#39; as filename to write the image data to standard output.</p>

</dd>
<dt id="export-pdf-version-VERZIA-PDF"><b>--export-pdf-version</b>=<i>VERZIA-PDF</i></dt>
<dd>

<p>Vyberte verziu PDF pre exportované súbory PDF. Táto voľba v podstate dáva k dispozícii výber verzie PDF z dialógového okna exportu PDF v grafickom používateľskom rozhraní. Musíte zadať jednu z verzií z tohto zoznamu, napr. „1.4“. Predvolená verzia exportovaného PDF je „1.4“.</p>

</dd>
<dt id="export-latex"><b>--export-latex</b></dt>
<dd>

<p>(pri exporte PS, EPS a PDF) Používa sa na vytváranie obrázkov pre dokumenty LaTeXu, kde text v obrázku sádza LaTeX. Pri exporte do formátu PDF/PS/EPS, táto možnosť rozdelí výstup do súboru PDF/PS/EPS (napr. podľa zadanej voľby --export-pdf) a súboru LaTeXu. Text sa nevloží do súboru PDF/PS/EPS, ale namiesto toho sa objaví v súbore LaTeXu. Tento súbor LaTeXu obsahuje PDF/PS/EPS. Vložením súboru LaTeXu (\input{image.tex}) do dokumentu LaTeXu zobrazíte obrázok a text vysádza LaTeX. Ďalšie informácie nájdete vo výslednom súbore LaTeXu. Pozri aj výstupný terminál „epslatex“ v GNUPlot.</p>

</dd>
<dt id="T---export-text-to-path"><b>-T</b>, <b>--export-text-to-path</b></dt>
<dd>

<p>Konvertovať pri exporte textové objekty na cesty kde sa dá (pri exporte PS, EPS, PDF a SVG).</p>

</dd>
<dt id="export-ignore-filters"><b>--export-ignore-filters</b></dt>
<dd>

<p>Exportovať objekty s filtrami (napr. s rozostrením) ako vektorovú grafiku a ignorovať filtre (pri exporte PS, EPS a PDF). Štandardne sa všetky objekty s filtrami rasterizujú s rozlíšením <a>--export-dpi</a> (štandardne 96 DPI) čím sa zachová ich vzhľad.</p>

</dd>
<dt id="m-FILENAME---export-wmf-FILENAME"><b>-m</b> <i>FILENAME</i>, <b>--export-wmf</b>=<i>FILENAME</i></dt>
<dd>

<p>Export document(s) to Windows Metafile (WMF) format.</p>

</dd>
<dt id="M-FILENAME---export-emf-FILENAME"><b>-M</b> <i>FILENAME</i>, <b>--export-emf</b>=<i>FILENAME</i></dt>
<dd>

<p>Export document(s) to Windows Enhanced Metafile (EMF) format.</p>

</dd>
<dt id="I---query-id"><b>-I</b>, <b>--query-id</b></dt>
<dd>

<p>Nastaviť ID objektu, ktorého rozmery zisťujeme. Ak nie je nastavené, voľby požiadavky vrátia rozmer kresby (t.j. všetkých objektov dokumentu), nie stránky či zobrazenia.</p>

</dd>
<dt id="X---query-x"><b>-X</b>, <b>--query-x</b></dt>
<dd>

<p>Zistiť súradnicu X kresby alebo, ak je určený, objektu s <a>--query-id</a>. Vrátená hodnota je v px (používateľské jednotky SVG).</p>

</dd>
<dt id="Y---query-y"><b>-Y</b>, <b>--query-y</b></dt>
<dd>

<p>Zistiť súradnicu Y kresby alebo, ak je určený, objektu s <a>--query-id</a>. Vrátená hodnota je v px (používateľské jednotky SVG).</p>

</dd>
<dt id="W---query-width"><b>-W</b>, <b>--query-width</b></dt>
<dd>

<p>Zistiť šírku kresby alebo, ak je určený, objektu s <a>--query-id</a>. Vrátená hodnota je v px (používateľské jednotky SVG).</p>

</dd>
<dt id="H---query-height"><b>-H</b>, <b>--query-height</b></dt>
<dd>

<p>Zistiť výšku kresby alebo, ak je určený, objektu s <a>--query-id</a>. Vrátená hodnota je v px (používateľské jednotky SVG).</p>

</dd>
<dt id="S---query-all"><b>-S</b>, <b>--query-all</b></dt>
<dd>

<p>Vypíše zoznam všetkých objektov v dokumente SVG s definovanými ID spolu s ich súradnicou x, y, šírkou a výškou vo formáte s hodnotami oddelenom čiarkami.</p>

</dd>
<dt id="shell"><b>--shell</b></dt>
<dd>

<p>With this parameter, Inkscape will enter an interactive command line shell mode. In this mode, you type in commands at the prompt and Inkscape executes them, without you having to run a new copy of Inkscape for each command. This feature is mostly useful for scripting and server uses: it adds no new capabilities but allows you to improve the speed and memory requirements of any script that repeatedly calls Inkscape to perform command line tasks (such as export or conversions). Each command in shell mode must be a complete valid Inkscape command line but without the Inkscape program name, for example:</p>

<pre><code>    file.svg --export-pdf=file.pdf</code></pre>

</dd>
<dt id="vacuum-defs"><b>--vacuum-defs</b></dt>
<dd>

<p>Odstráni všetky nepoužité položky zo sekcie <code>&lt;defs&gt;</code> SVG súboru. Ak túto voľbu zadáte spolu s <a>--export-plain-svg</a>, bude mať vplyv iba na exportovaný súbor. Ak ju použijete samostatne, zmení sa existujúci súbor.</p>

</dd>
<dt id="no-convert-text-baseline-spacing"><b>--no-convert-text-baseline-spacing</b></dt>
<dd>

<p>Do not automatically fix text baselines in legacy (pre-0.92) files on opening. Inkscape 0.92 adopts the CSS standard definition for the &#39;line-height&#39; property, which differs from past versions. By default, the line height values in files created prior to Inkscape 0.92 will be adjusted on loading to preserve the intended text layout. This command line option will skip that adjustment.</p>

</dd>
<dt id="convert-dpi-method-METHOD"><b>--convert-dpi-method</b>=<i>METHOD</i></dt>
<dd>

<p>Choose method used to rescale legacy (pre-0.92) files which render slightly smaller due to the switch from 90 DPI to 96 DPI when interpreting lengths expressed in units of pixels. Possible values are &quot;none&quot; (no change, document will render at 94% of its original size), &quot;scale-viewbox&quot; (document will be rescaled globally, individual lengths will stay untouched) and &quot;scale-document&quot; (each length will be re-scaled individually).</p>

</dd>
<dt id="z---without-gui"><b>-z</b>, <b>--without-gui</b></dt>
<dd>

<p>Do not open the GUI (on Unix, do not use X server); only process the files from console. This is assumed for -p, -e, -l, and --vacuum-defs options. It cannot be used in conjunction with the --verb option.</p>

</dd>
<dt id="g-fatal-warnings"><b>--g-fatal-warnings</b></dt>
<dd>

<p>Táto štandardná voľba GTK vynucuje, že akékoľvek upozornenia, ktoré sú zvyčajne neškodné, spôsobia ukončenie Inkscape (čo je užitočné pri ladení).</p>

</dd>
<dt id="usage"><b>--usage</b></dt>
<dd>

<p>Zobrazí stručnú správu o tom ako používať Inkscape.</p>

</dd>
</dl>

<h1 id="KONFIGUR-CIA">KONFIGURÁCIA</h1>

<p>Hlavný konfiguračný súbor je ~/.config/Inkscape/preferences.xml. Ukladá rozličné nastavenia, ktoré môžete zmeniť v Inkscape (prevažne v dialógu Nastavenia Inkscape). Do podadresárov tohto adresára tiež môžete umiestniť vlastné:</p>

<p><b>$HOME</b>/.config/inkscape/extensions/ - efekty rozšírení.</p>

<p><b>$HOME</b>/.config/inkscape/icons/ - ikony.</p>

<p><b>$HOME</b>/.config/inkscape/keys/ - mapy klávesov.</p>

<p><b>$HOME</b>/.config/inkscape/templates/ - šablóny nových súborov.</p>

<h1 id="DIAGNOSTIKA">DIAGNOSTIKA</h1>

<p>Program vráti nulovú hodnotu pri úspešnom a nenulovú pri neúspešnom ukončení.</p>

<p>Na štandardný chybový výstup alebo štandardný výstup môže vypísať rozličné chybové hlásenia alebo upozornenia. Ak sa program správa chybne alebo havaruje v súvislosti s konkrétnym SVG súborom, prehliadnutie tohto výstupu pomôže zistiť dôvod zlyhania.</p>

<h1 id="PR-KLADY">PRÍKLADY</h1>

<p>Hoci je <b>Inkscape</b> zjavne v prvom rade aplikácia s grafickým používateľským rozhraním, tiež ho možno použiť na spracovanie SVG z príkazového riadka.</p>

<p>Otvorenie SVG súboru v grafickom rozhraní:</p>

<pre><code>    inkscape subor.svg</code></pre>

<p>Vytlačenie SVG súboru z príkazového riadka:</p>

<pre><code>    inkscape subor.svg -p &#39;| lpr&#39;</code></pre>

<p>Export SVG súboru do PNG v predvolenom rozlíšení 96 DPI (jedna používateľská jednotka SVG zodpovedá jednému pixlu bitmapy):</p>

<pre><code>    inkscape subor.svg --export-png=subor.png</code></pre>

<p>To isté, ale veľkosť súboru PNG je vynútená na 600x400 pixlov:</p>

<pre><code>    inkscape subor.svg --export-png=subor.png -w600 -h400
To isté, ale exportuje kresbu (ohraničenie všetkých objektov), nie stránku:

    inkscape subor.svg --export-png=subor.png --export-area-drawing</code></pre>

<p>Exportuje do PNG objekt s id=&quot;text1555&quot; s použitím názvu súboru a rozlíšenia, ktoré boli použité pri poslednom exporte objektu z grafického rozhrania:</p>

<pre><code>    inkscape subor.svg --export-id=text1555 --export-use-hints</code></pre>

<p>To isté, ale použiť rozlíšenie 96 DPI, určiť názov súboru a prichytiť exportovanú oblasť smerom von k najbližšej celej hodnote používateľskej jednotky SVG (aby sa zachovalo zarovnanie objektov na pixle a tak minimalizoval aliasing):</p>

<pre><code>    inkscape subor.svg --export-id=text1555 --export-png=text.png --export-area-snap</code></pre>

<p>Previesť Inkscape SVG na čistý SVG dokument:</p>

<pre><code>    inkscape subor1.svg --export-plain-svg=subor2.svg</code></pre>

<p>Previesť SVG dokument na EPS, pričom prevedie všetky texty na cesty:</p>

<pre><code>    inkscape subor.svg --export-eps=subor.eps --export-text-to-path</code></pre>

<p>Zistiť šírku objektu s id=&quot;text1555&quot;:</p>

<pre><code>    inkscape subor.svg --query-width --query-id text1555</code></pre>

<p>Duplikovať objekt s id=&quot;path1555&quot;, otočiť duplikát o 90 stupňov, uložiť SVG a skončiť:</p>

<pre><code>    inkscape subor.svg --select=path1555 --verb=EditDuplicate --verb=ObjectRotate90 --verb=FileSave --verb=FileClose</code></pre>

<h1 id="ENVIRONMENT-VARIABLES">ENVIRONMENT VARIABLES</h1>

<dl>

<dt id="INKSCAPE_PROFILE_DIR"><b>INKSCAPE_PROFILE_DIR</b></dt>
<dd>

<p>Set a custom location for the user profile directory.</p>

</dd>
<dt id="INKSCAPE_DATADIR"><b>INKSCAPE_DATADIR</b></dt>
<dd>

<p>Set a custom location for the Inkscape data directory (e.g. <b>$PREFIX</b>/share if Inkscape&#39;s shared files are in <b>$PREFIX</b>/share/inkscape).</p>

</dd>
<dt id="INKSCAPE_LOCALEDIR"><b>INKSCAPE_LOCALEDIR</b></dt>
<dd>

<p>Set a custom location for the translation catalog.</p>

</dd>
</dl>

<p>For more details see also <a href="http://wiki.inkscape.org/wiki/index.php/Environment_variables">http://wiki.inkscape.org/wiki/index.php/Environment_variables</a></p>

<h1 id="T-MY-VZH-ADU">TÉMY VZHĽADU</h1>

<p>Ak chcete načítať odlišnú sadu ikon ako predvolený súbor <b>$PREFIX</b>/share/inkscape/icons/icons.svg, použije sa adresár <b>$HOME</b>/.inkscape/icons/. Ikony sa načítavajú podľa názvu (napr. <i>fill_none.svg</i>) alebo ak nie sú nájdené z <i>icons.svg</i>. Ak sa ikona nenačíta ani z jedného z týchto miest, použije sa predvolené umiestnenie systému.</p>

<p>Potrebné ikony sa načítavajú zo SVG súborov hľadaním SVG id so zodpovedajúcim názvom ikony. (Napr. pri načítaní ikony „fill_none“ zo súboru sa ako ikona vykreslí ohraničenie „fill_none“, či už pochádza zo súboru <i>fill_none.svg</i> alebo <i>icons.svg</i>.)</p>

<h1 id="AL-IE-INFORM-CIE">ĎALŠIE INFORMÁCIE</h1>

<p>Umiestnenie kanonickej dokumentácie k <b>Inkscape</b> je na <a href="http://www.inkscape.org/">http://www.inkscape.org/</a>. Webová stránka obsahuje novinky, dokumentáciu, návody, príklady, archívy konferencií, poslednú vydanú verziu programu, databázy chýb a žiadostí o nové funkcie, fóra a ďalšie.</p>

<h1 id="POZRI-AJ">POZRI AJ</h1>

<p><a>potrace</a>, <a>cairo</a>, <a>rsvg</a>, <a>batik</a>, <a>ghostscript</a>, <a>pstoedit</a>.</p>

<p>Testovací balík konformnosti so štandardom SVG: <a href="https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview">https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview</a></p>

<p>Nástroj na testovanie platnosti SVG: <a href="https://validator.w3.org/">https://validator.w3.org/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.1 Specification</i> <i>W3C Recommendation 16 August 2011</i> <a href="https://www.w3.org/TR/SVG11/">https://www.w3.org/TR/SVG11/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.2 Specification</i> <i>W3C Working Draft 13 April 2005</i> <a href="https://www.w3.org/TR/SVG12/">https://www.w3.org/TR/SVG12/</a></p>

<p><i>Scalable Vector Graphics (SVG) 2 Specification</i> <i>W3C Candidate Recommendation 15 September 2016</i> <a href="https://www.w3.org/TR/SVG2/">https://www.w3.org/TR/SVG2/</a></p>

<p><i>Document Object Model (DOM): Level 2 Core</i> <i>W3C Recommendation 13 November 2000</i> <a href="https://www.w3.org/TR/DOM-Level-2-Core/">https://www.w3.org/TR/DOM-Level-2-Core/</a></p>

<h1 id="POZN-MKY-KU-GRAFICK-MU-ROZHRANIU">POZNÁMKY KU GRAFICKÉMU ROZHRANIU</h1>

<p>Ak sa chcete naučiť pracovať s grafickým rozhraním Inkscape, prečítajte si návody v ponuke Pomocník &gt; Návody.</p>

<p>Okrem SVG dokáže Inkscape importovať (Súbor &gt; Importovať) väčšinu bitmapových formátov (PNG, BMP, JPG, XPM, GIF atď.), čistý text (vyžaduje Perl), PS a EPS (vyžaduje Ghostscript), formáty PDF a AI (AI verzie 9.0 alebo novšej).</p>

<p>Inkscape exportuje 32-bitové PNG obrázky (Súbor &gt; Exportovať) a tiež AI, PS, EPS, PDF, DXF a niekoľko ďalších formátov pomocou Súbor &gt; Uložiť ako.</p>

<p>Inkscape dokáže využiť informáciu o tlaku a sklone grafického tabletu na nastavenie šírky, uhla a sily niektorých nástrojov vrátane kaligrafického pera.</p>

<p>Inkscape obsahuje grafické rozhranie k jadru na vektorizáciu bitmáp Potrace (<a href="http://potrace.sf.net">http://potrace.sf.net</a>), ktoré je súčasťou Inkscape.</p>

<p>Inkscape dokáže využívať externé skripty (filtre štandardného vstupu/výstupu), ktoré predstavujú príkazy v menu Rozšírenia. Skript môže mať grafický dialóg na nastavenie parametrov a dokáže zistiť ID vybraných objektov na ktoré sa bude aplikovať prostredníctvom príkazového riadka. Inkscape obsahuje sadu efektov napísaných v jazyku Python.</p>

<h1 id="KL-VESOV-V-ZBY">KLÁVESOVÉ VÄZBY</h1>

<p>Úplný zoznam skratiek klávesnice a myši nájdete v súbore doc/keys.html alebo pomocou príkazu Použitie klávesnice a myši v menu Pomocník.</p>

<h1 id="CHYBY">CHYBY</h1>

<p>Je známe množstvo chýb. Existujúce chyby nájdete a nové môžete nahlásiť na webstránke inkscape.org. Tiež si prečítajte sekciu Známe problémy v Poznámkach k vydaniu vašej verzie (súbor „NEWS“).</p>

<h1 id="HIST-RIA">HISTÓRIA</h1>

<p>Kód, ktorý sa neskôr stal kódom Inkscape začal svoj život v roku 1999 ako program Gill, aplikácia GNOME Illustrator, ktorú vytvoril Raph Levien. Cieľom, ktorý si Gill kládol bolo nakoniec podporovať kompletný štandard SVG. Raph implementoval bézierov PostScriptový obrazový model vrátane výplne a ťahu, štýlov zakončenia a spojenia čiar, textu atď. Raphova stránka o Gill je <a href="http://www.levien.com/svg/">http://www.levien.com/svg/</a>. Práca na Gill sa spomalila alebo zastavila v roku 2000.</p>

<p>Ďalším stelesnením kódu sa stal veľmi populárny program Sodipodi, ktorý viedol Lauris Kaplinski. Kód sa zmenil na veľmi mocný ilustračný nástroj počas niekoľkých rokov práce na ňom po pridaní niekoľkých nových vlastností, podpory jazykov, portovania na Windows a iné operačné systémy a odstránení závislostí.</p>

<p>Inkscape vytvorili v roku 2003 štyria aktívni vývojári Sodipodi - Bryce Harrington, MenTaLguY, Nathan Hurst a Ted Gould, ktorí chceli kód posunúť novým smerom so zameraním na konformnosť s SVG, vzľad a správanie rozhrania a túžbou otvoriť príležitosť vývoja viacerým prispievateľom. Projekt postupoval rýchlo a získal si množstvo veľmi aktívnych prispievateľov a vlastností.</p>

<p>Mnoho práce v raných dňoch projektu sa zameriavalo na stabilizáciu kódu a internacionalizáciu. Pôvodné vykresľovacie jadro zdedené zo Sodipodi bolo spojené s mnohými matematickými hraničnými prípadmi, ktoré viedli k neočakávaným haváriám pri použití programu na iné ako rutinné úlohy. Toto vykresľovacie jadro nahradil Livarot, ktorý hoci tiež nie je dokonalý, bol výrazne menej náchylný na chyby. Projekt tiež praktikoval časté začleňovanie kódu a posmeľoval používateľov v používaní vývojových verzií programu. To pomohlo s ranou identifikáciou chýb a zabezpečilo jednoduchý spôsob ako používatelia mohli overiť funkčnosť opráv. V dôsledku Inkscape si Inkscape zaslúžil všeobecnú reputáciu robustnosti a spoľahlivosti.</p>

<p>Tiež sa rozvinuli snahy o internacionalizáciu a lokalizáciu rozhrania, ktoré pomohli programu získať prispievateľov z celého sveta.</p>

<p>Inkscape mal prínosný vplyv na vizuálnu atraktivitu open source vo všeobecnosti, pretože poskytol nástroj na tvorbu a zdieľanie ikon, štartovacích obrazoviek, grafiky webových stránok atď. Istým spôsobom okrem toho, že je to len „program na kreslenie“ hral Inkscape dôležitú úlohu pri vylepšení vizuálnej stránky open source širokému publiku.</p>

<h1 id="AUTORI">AUTORI</h1>

<p>Kód vďačí za svoju existenciu množstvu prispievateľov do jeho rozličných foriem. Nasledovný zoznam je určite neúplný, ale slúži na uznanie mnohých ramien, na ktorých táto aplikácia stojí:</p>

<p>Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn (brynn@inkscapecommunity.com), Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, ~suv, Pat Suwalski, Adib Taraben, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, David Yip, Masatake Yamato, Moritz Eberl, Sebastian Faubel, </p>

<h1 id="AUTORSK-PR-VA-A-LICENCIA">AUTORSKÉ PRÁVA A LICENCIA</h1>

<p><b>Copyright (C)</b> 1999-2019 by Authors.</p>

<p><b>Inkscape</b> is free software; you can redistribute it and/or modify it under the terms of the GPL version 3 or later.</p>


</body>

</html>


